import {AnimationTriggerMetadata, animate, state, style, transition, trigger, group} from '@angular/animations';

export const ScaleInOutAnimation =
  trigger('scaleInOut', [
    transition(':enter', [   // :enter is alias to 'void => *'
      style({
        transform: 'scale(0)',
        opacity: 0,
      }),
      group([
        animate('500ms 100ms ease-in', style({
          transform: 'scale(1)'
        })),
        animate('500ms ease-in', style({
          opacity: 1
        })),

      ])

    ]),
    transition(':leave', [   // :leave is alias to '* => void'
      animate(500, style({opacity: 0}))
    ])
  ]);
